Package org.apache.synapse.transport.netty.config

# Class SourceConfiguration

java.lang.Object
org.apache.synapse.transport.netty.config.BaseConfiguration
org.apache.synapse.transport.netty.config.SourceConfiguration

public class SourceConfiguration extends BaseConfiguration
This class stores the configurations specific to the Listener.

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

  `configurationContext, preserveHttpHeaders, preserveServerHeader, preserveUserAgentHeader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription inDescription, Scheme scheme, List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `build()`
  `String`
  `getHost()`
  `HttpGetRequestProcessor`
  `getHttpGetRequestProcessor()`
  `org.apache.axis2.description.TransportInDescription`
  `getInDescription()`
  `List<org.apache.synapse.commons.handlers.MessagingHandler>`
  `getMessagingHandlers()`
  `int`
  `getPort()`
  `String`
  `getProtocol()`
  `Scheme`
  `getScheme()`
  `void`
  `setHost(String host)`
  `void`
  `setMessagingHandlers(List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)`
  `void`
  `setPort(int port)`
  `void`
  `setProtocol(String protocol)`
  `void`
  `setScheme(Scheme scheme)`

  ### Methods inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

  `getConfigurationContext, getPreserveHttpHeaders, getWorkerPool, isPreserveHttpHeader, populatePreserveHTTPHeaders`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SourceConfiguration

    public SourceConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription inDescription, Scheme scheme, List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandler)

- ## Method Details

  - ### build

    public void build() throws org.apache.axis2.AxisFault
    Overrides:
      `build` in class `BaseConfiguration`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort(int port)

  - ### getHost

    public String getHost()

  - ### setHost

    public void setHost(String host)

  - ### getScheme

    public Scheme getScheme()

  - ### setScheme

    public void setScheme(Scheme scheme)

  - ### getHttpGetRequestProcessor

    public HttpGetRequestProcessor getHttpGetRequestProcessor()

  - ### getMessagingHandlers

    public List<org.apache.synapse.commons.handlers.MessagingHandler> getMessagingHandlers()

  - ### setMessagingHandlers

    public void setMessagingHandlers(List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)

  - ### getProtocol

    public String getProtocol()

  - ### setProtocol

    public void setProtocol(String protocol)

  - ### getInDescription

    public org.apache.axis2.description.TransportInDescription getInDescription()